package com.dd.admin.business.card.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dd.admin.business.card.entity.Card;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dd.admin.business.card.domain.CardVo;
import com.dd.admin.business.card.domain.CardDto;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-17
 */
@Mapper
public interface CardMapper extends BaseMapper<Card> {

    IPage<CardVo> selectCardPage(Page<CardVo> page, @Param("cardDto") CardDto cardDto);

    List<CardVo> selectCardList(@Param("cardDto") CardDto cardDto);
}
