package com.dd.admin.business.card.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dd.admin.business.card.entity.Card;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dd.admin.business.card.domain.CardVo;
import com.dd.admin.business.card.domain.CardDto;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-17
 */
public interface CardService extends IService<Card> {

    //-分页列表
    IPage<CardVo> selectCardPage(CardDto cardDto);

    //-列表
    List<CardVo> selectCardList(CardDto cardDto);

}
