package com.dd.admin.business.card.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dd.admin.common.model.PageFactory;
import com.dd.admin.business.card.entity.Card;
import com.dd.admin.business.card.mapper.CardMapper;
import com.dd.admin.business.card.service.CardService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.dd.admin.business.card.domain.CardVo;
import com.dd.admin.business.card.domain.CardDto;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-17
 */
@Service
public class CardServiceImpl extends ServiceImpl<CardMapper, Card> implements CardService {

    @Override
    public IPage<CardVo> selectCardPage(CardDto cardDto) {
        Page page = PageFactory.defaultPage();
        return baseMapper.selectCardPage(page,cardDto);
    }

    @Override
    public List<CardVo> selectCardList(CardDto cardDto) {
        return baseMapper.selectCardList(cardDto);
    }
}
