package com.dd.admin.business.category.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dd.admin.business.category.entity.Category;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dd.admin.business.category.domain.CategoryVo;
import com.dd.admin.business.category.domain.CategoryDto;
import java.util.List;

/**
 * <p>
 * 分类 服务类
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-05-22
 */
public interface CategoryService extends IService<Category> {

    //分类-分页列表
    IPage<CategoryVo> selectCategoryPage(CategoryDto categoryDto);

    //分类-列表
    List<CategoryVo> selectCategoryList(CategoryDto categoryDto);

}
