package com.dd.admin.business.detailServer.service;

import cn.hutool.core.collection.CollectionUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dd.admin.business.detailServer.entity.SellDetailServer;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dd.admin.business.detailServer.domain.SellDetailServerVo;
import com.dd.admin.business.detailServer.domain.SellDetailServerDto;
import com.dd.admin.business.sellDetail.entity.SellDetail;

import java.util.List;

/**
 * <p>
 * 订单详单服务人员 服务类
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-11-28
 */
public interface SellDetailServerService extends IService<SellDetailServer> {

    //订单详单服务人员-分页列表
    IPage<SellDetailServerVo> selectSellDetailServerPage(SellDetailServerDto detailServerDto);

    //订单详单服务人员-列表
     List<SellDetailServerVo> selectSellDetailServerList(SellDetailServerDto detailServerDto);

     List<SellDetailServer> selectSellDetailServerListBySellDetailIds(List<String> sellDetailIds);
}
