package com.dd.admin.business.member.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dd.admin.business.member.entity.Member;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dd.admin.business.member.domain.MemberVo;
import com.dd.admin.business.member.domain.MemberDto;

import java.util.List;

/**
 * <p>
 * 会员 Mapper 接口
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-05-21
 */
@Mapper
public interface MemberMapper extends BaseMapper<Member> {

    IPage<MemberVo> selectMemberPage(Page<MemberVo> page, @Param("memberDto") MemberDto memberDto);

    List<MemberVo> selectMemberList(@Param("memberDto") MemberDto memberDto);
}
