package com.dd.admin.business.member.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dd.admin.business.member.entity.Member;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dd.admin.business.member.domain.MemberVo;
import com.dd.admin.business.member.domain.MemberDto;
import java.util.List;

/**
 * <p>
 * 会员 服务类
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-05-21
 */
public interface MemberService extends IService<Member> {

    //会员-分页列表
    IPage<MemberVo> selectMemberPage(MemberDto memberDto);

    //会员-列表
    List<MemberVo> selectMemberList(MemberDto memberDto);

    Integer selectMemberCount(String shopId);
}
