package com.dd.admin.business.memberCard.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dd.admin.business.memberCard.entity.MemberCard;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dd.admin.business.memberCard.domain.MemberCardVo;
import com.dd.admin.business.memberCard.domain.MemberCardDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 会员卡 服务类
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-19
 */
public interface MemberCardService extends IService<MemberCard> {

    //会员卡-分页列表
    IPage<MemberCardVo> selectMemberCardPage(MemberCardDto memberCardDto);

    //会员卡-列表
    List<MemberCardVo> selectMemberCardList(MemberCardDto memberCardDto);

    MemberCardVo selectOneByCardNo(String cardNo);

    Integer selectMemberCardCount(String shopId);
}
