package com.dd.admin.business.pay.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

@Data
@ApiModel(value="续卡接收对象")
public class ChargedCardSell extends MemberBaseSell {
    @ApiModelProperty(value = "续卡对象")
    @NotNull(message = "续卡对象不能为空")
    @Valid
    ChargedCardForm chargedCardForm;
}
