package com.dd.admin.business.pay.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel(value="会员商品消费")
public class MemberProductSell extends MemberBaseSell {

    @ApiModelProperty(value = "商品对象")
    @NotNull(message = "商品对不能为空")
    @Valid
    private List<ProductForm> productFormList;

}
