package com.dd.admin.business.product.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dd.admin.business.product.entity.Product;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dd.admin.business.product.domain.ProductVo;
import com.dd.admin.business.product.domain.ProductDto;

import java.util.List;

/**
 * <p>
 * 商品 Mapper 接口
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-05-23
 */
@Mapper
public interface ProductMapper extends BaseMapper<Product> {

    IPage<ProductVo> selectProductPage(Page<ProductVo> page, @Param("productDto") ProductDto productDto);

    List<ProductVo> selectProductList(@Param("productDto") ProductDto productDto);
}
