package com.dd.admin.business.sell.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dd.admin.business.sell.entity.Sell;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dd.admin.business.sell.domain.SellVo;
import com.dd.admin.business.sell.domain.SellDto;

import java.util.List;

/**
 * <p>
 * 订单 Mapper 接口
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-19
 */
@Mapper
public interface SellMapper extends BaseMapper<Sell> {

    IPage<SellVo> selectSellPage(Page<SellVo> page, @Param("sellDto") SellDto sellDto);

    List<SellVo> selectSellList(@Param("sellDto") SellDto sellDto);

    Integer selectTodayCount(@Param("shopId") String shopId);
}
