package com.dd.admin.business.sell.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dd.admin.business.sell.entity.Sell;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dd.admin.business.sell.domain.SellVo;
import com.dd.admin.business.sell.domain.SellDto;
import java.util.List;

/**
 * <p>
 * 订单 服务类
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-19
 */
public interface SellService extends IService<Sell> {

    //订单-分页列表
    IPage<SellVo> selectSellPage(SellDto sellDto);

    //订单-列表
    List<SellVo> selectSellList(SellDto sellDto);

    Integer selectTodayCount(String shopId);

    //填充销售详情
    public void setSellDetail(List<SellVo> sellVoList);

    Integer selectSellCount(String shopId);
}
