package com.dd.admin.business.sellJson.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dd.admin.business.sellJson.entity.Selljson;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dd.admin.business.sellJson.domain.SelljsonVo;
import com.dd.admin.business.sellJson.domain.SelljsonDto;

import java.util.List;

/**
 * <p>
 * 订单json Mapper 接口
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-19
 */
@Mapper
public interface SelljsonMapper extends BaseMapper<Selljson> {

    IPage<SelljsonVo> selectSelljsonPage(Page<SelljsonVo> page, @Param("sellJsonDto") SelljsonDto sellJsonDto);

    List<SelljsonVo> selectSelljsonList(@Param("sellJsonDto") SelljsonDto sellJsonDto);
}
