package com.dd.admin.business.sellPay.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dd.admin.business.sellPay.entity.Sellpay;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dd.admin.business.sellPay.domain.SellpayVo;
import com.dd.admin.business.sellPay.domain.SellpayDto;

import java.util.List;

/**
 * <p>
 * 订单支付 Mapper 接口
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-19
 */
@Mapper
public interface SellpayMapper extends BaseMapper<Sellpay> {

    IPage<SellpayVo> selectSellpayPage(Page<SellpayVo> page, @Param("sellPayDto") SellpayDto sellPayDto);

    List<SellpayVo> selectSellpayList(@Param("sellPayDto") SellpayDto sellPayDto);
}
