package com.dd.admin.business.server.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dd.admin.business.server.entity.Server;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dd.admin.business.server.domain.ServerVo;
import com.dd.admin.business.server.domain.ServerDto;
import java.util.List;

/**
 * <p>
 * 服务人员表 服务类
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-11-28
 */
public interface ServerService extends IService<Server> {

    //服务人员表-分页列表
    IPage<ServerVo> selectServerPage(ServerDto serverDto);

    //服务人员表-列表
    List<ServerVo> selectServerList(ServerDto serverDto);

}
