package com.dd.admin.business.server.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dd.admin.common.model.PageFactory;
import com.dd.admin.business.server.entity.Server;
import com.dd.admin.business.server.mapper.ServerMapper;
import com.dd.admin.business.server.service.ServerService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.dd.admin.business.server.domain.ServerVo;
import com.dd.admin.business.server.domain.ServerDto;
import java.util.List;

/**
 * <p>
 * 服务人员表 服务实现类
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-11-28
 */
@Service
public class ServerServiceImpl extends ServiceImpl<ServerMapper, Server> implements ServerService {

    @Override
    public IPage<ServerVo> selectServerPage(ServerDto serverDto) {
        Page page = PageFactory.defaultPage();
        return baseMapper.selectServerPage(page,serverDto);
    }

    @Override
    public List<ServerVo> selectServerList(ServerDto serverDto) {
        return baseMapper.selectServerList(serverDto);
    }
}
