package com.dd.admin.business.stock.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dd.admin.business.stock.entity.Stock;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dd.admin.business.stock.domain.StockVo;
import com.dd.admin.business.stock.domain.StockDto;

import java.util.List;

/**
 * <p>
 * 库存单 Mapper 接口
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-27
 */
@Mapper
public interface StockMapper extends BaseMapper<Stock> {

    IPage<StockVo> selectStockPage(Page<StockVo> page, @Param("stockDto") StockDto stockDto);

    List<StockVo> selectStockList(@Param("stockDto") StockDto stockDto);
}
