package com.dd.admin.business.stock.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dd.admin.business.stock.entity.Stock;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dd.admin.business.stock.domain.StockVo;
import com.dd.admin.business.stock.domain.StockDto;
import java.util.List;

/**
 * <p>
 * 库存单 服务类
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-27
 */
public interface StockService extends IService<Stock> {

    //库存单-分页列表
    IPage<StockVo> selectStockPage(StockDto stockDto);

    //库存单-列表
    List<StockVo> selectStockList(StockDto stockDto);

    Stock addStockIn(StockDto stockDto);

    Stock addStockOut(StockDto stockDto);
}
