package com.dd.admin.business.stockDetail.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dd.admin.business.stockDetail.entity.StockDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dd.admin.business.stockDetail.domain.StockDetailVo;
import com.dd.admin.business.stockDetail.domain.StockDetailDto;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-27
 */
@Mapper
public interface StockDetailMapper extends BaseMapper<StockDetail> {

    IPage<StockDetailVo> selectStockDetailPage(Page<StockDetailVo> page, @Param("stockDetailDto") StockDetailDto stockDetailDto);

    List<StockDetailVo> selectStockDetailList(@Param("stockDetailDto") StockDetailDto stockDetailDto);
}
