package com.dd.admin.business.stockDetail.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dd.admin.common.model.PageFactory;
import com.dd.admin.business.stockDetail.entity.StockDetail;
import com.dd.admin.business.stockDetail.mapper.StockDetailMapper;
import com.dd.admin.business.stockDetail.service.StockDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.dd.admin.business.stockDetail.domain.StockDetailVo;
import com.dd.admin.business.stockDetail.domain.StockDetailDto;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-27
 */
@Service
public class StockDetailServiceImpl extends ServiceImpl<StockDetailMapper, StockDetail> implements StockDetailService {

    @Override
    public IPage<StockDetailVo> selectStockDetailPage(StockDetailDto stockDetailDto) {
        Page page = PageFactory.defaultPage();
        return baseMapper.selectStockDetailPage(page,stockDetailDto);
    }

    @Override
    public List<StockDetailVo> selectStockDetailList(StockDetailDto stockDetailDto) {
        return baseMapper.selectStockDetailList(stockDetailDto);
    }
}
