package com.dd.admin.business.category.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dd.admin.business.category.entity.Category;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dd.admin.business.category.domain.CategoryVo;
import com.dd.admin.business.category.domain.CategoryDto;

import java.util.List;

/**
 * <p>
 * 分类 Mapper 接口
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-05-22
 */
@Mapper
public interface CategoryMapper extends BaseMapper<Category> {

    IPage<CategoryVo> selectCategoryPage(Page<CategoryVo> page, @Param("categoryDto") CategoryDto categoryDto);

    List<CategoryVo> selectCategoryList(@Param("categoryDto") CategoryDto categoryDto);
}
