package com.dd.admin.business.detailServer.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dd.admin.business.detailServer.entity.SellDetailServer;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dd.admin.business.detailServer.domain.SellDetailServerVo;
import com.dd.admin.business.detailServer.domain.SellDetailServerDto;

import java.util.List;

/**
 * <p>
 * 订单详单服务人员 Mapper 接口
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-11-28
 */
@Mapper
public interface SellDetailServerMapper extends BaseMapper<SellDetailServer> {

    IPage<SellDetailServerVo> selectSellDetailServerPage(Page<SellDetailServerVo> page, @Param("detailServerDto") SellDetailServerDto detailServerDto);

    List<SellDetailServerVo> selectSellDetailServerList(@Param("detailServerDto") SellDetailServerDto detailServerDto);
}
