package com.dd.admin.business.memberCard.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dd.admin.business.memberCard.entity.MemberCard;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dd.admin.business.memberCard.domain.MemberCardVo;
import com.dd.admin.business.memberCard.domain.MemberCardDto;

import java.util.List;

/**
 * <p>
 * 会员卡 Mapper 接口
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-19
 */
@Mapper
public interface MemberCardMapper extends BaseMapper<MemberCard> {

    IPage<MemberCardVo> selectMemberCardPage(Page<MemberCardVo> page, @Param("memberCardDto") MemberCardDto memberCardDto);

    List<MemberCardVo> selectMemberCardList(@Param("memberCardDto") MemberCardDto memberCardDto);

    MemberCardVo selectOneByCardNo(@Param("cardNo")String cardNo,@Param("shopId")String shopId);

}
