package com.dd.admin.business.pay.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.dd.admin.business.server.domain.ServerVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class ChargedCardForm {
    @ApiModelProperty(value = "会员卡id")
    private String memberCardId;

    @ApiModelProperty(value = "会员卡id")
    private String cardId;

    @ApiModelProperty(value = "会员卡名")
    @TableField("CARD_NAME")
    private String cardName;

    @ApiModelProperty(value = "修改后卡编号")
    @TableField("CARD_NO")
    private String cardNo;

    @ApiModelProperty(value = "充值开卡金")
    private BigDecimal chargedCardAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "充值赠送金")
    private BigDecimal chargedGiveAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "商品实际金额")
    private BigDecimal totalRealAmount;


    @ApiModelProperty(value = "服务人员列表")
    private List<ServerVo> serverList;
}
