package com.dd.admin.business.pay.service;

import com.dd.admin.business.memberCard.entity.MemberCard;
import com.dd.admin.business.pay.domain.BuildCardSell;
import com.dd.admin.business.pay.domain.ChargedCardSell;
import com.dd.admin.business.pay.domain.MemberProductSell;
import com.dd.admin.business.sell.entity.Sell;

import java.math.BigDecimal;

public interface PayService {
    public Sell createSell(Sell sell);

    public Sell setSellExtraInfo(String sellId, MemberCard memberCard, BigDecimal memberBeforeAmount,BigDecimal memberBeforeGiveAmount);

    public Sell executeBuildCard(BuildCardSell buildCardSell);

    public Sell executeChargedCard(ChargedCardSell chargedCardSell);

    public Sell executeProduct(MemberProductSell productSell);

}
