package com.dd.admin.business.sell.domain;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@ApiModel(value="销售表接收对象")
public class CancelSellDto {
    @NotBlank(message = "订单id不能为空")
    private String sellId;

    @NotBlank(message = "撤销原因不能为空")
    private String remark;
}
