package com.dd.admin.business.sellDetail.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dd.admin.business.sellDetail.entity.SellDetail;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dd.admin.business.sellDetail.domain.SellDetailVo;
import com.dd.admin.business.sellDetail.domain.SellDetailDto;
import java.util.List;

/**
 * <p>
 * 订单详情 服务类
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-19
 */
public interface SellDetailService extends IService<SellDetail> {

    //订单详情-分页列表
    IPage<SellDetailVo> selectSellDetailPage(SellDetailDto sellDetailDto);

    //订单详情-列表
    List<SellDetailVo> selectSellDetailList(SellDetailDto sellDetailDto);

    //订单详情-列表
    List<SellDetail> selectSellDetailList(List<String> sellIds);

    //订单详情-列表
    List<SellDetail> selectSellDetailList(String sellId);


    void updateSellDetailStatus(String sellId);

    List<SellDetailVo>  productProportion(String shopId, Integer limit);

}
