package com.dd.admin.business.sellJson.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dd.admin.business.sellJson.entity.Selljson;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dd.admin.business.sellJson.domain.SelljsonVo;
import com.dd.admin.business.sellJson.domain.SelljsonDto;
import java.util.List;

/**
 * <p>
 * 订单json 服务类
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-19
 */
public interface SelljsonService extends IService<Selljson> {

    //订单json-分页列表
    IPage<SelljsonVo> selectSelljsonPage(SelljsonDto sellJsonDto);

    //订单json-列表
    List<SelljsonVo> selectSelljsonList(SelljsonDto sellJsonDto);

    void completePendingSell(String jsonId);

}
