package com.dd.admin.business.sellPay.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dd.admin.business.sell.entity.Sell;
import com.dd.admin.business.sellPay.entity.Sellpay;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dd.admin.business.sellPay.domain.SellpayVo;
import com.dd.admin.business.sellPay.domain.SellpayDto;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 订单支付 服务类
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-19
 */
public interface SellpayService extends IService<Sellpay> {

    //订单支付-分页列表
    IPage<SellpayVo> selectSellpayPage(SellpayDto sellPayDto);

    //订单支付-列表
    List<SellpayVo> selectSellpayList(SellpayDto sellPayDto);

    void addSellPayList(List<Sellpay> sellPayList,String sellId);

    BigDecimal getRealAmount(List<Sellpay> sellPayList, BigDecimal totalAmount);

    List<Sellpay> selectSellPayList(List<String> sellIds);

    List<Sellpay> selectSellPayList(String sellId);

}
