package com.dd.admin.business.server.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dd.admin.business.server.entity.Server;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dd.admin.business.server.domain.ServerVo;
import com.dd.admin.business.server.domain.ServerDto;

import java.util.List;

/**
 * <p>
 * 服务人员表 Mapper 接口
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-11-28
 */
@Mapper
public interface ServerMapper extends BaseMapper<Server> {

    IPage<ServerVo> selectServerPage(Page<ServerVo> page, @Param("serverDto") ServerDto serverDto);

    List<ServerVo> selectServerList(@Param("serverDto") ServerDto serverDto);
}
