package com.dd.admin.business.stockDetail.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dd.admin.business.stockDetail.entity.StockDetail;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dd.admin.business.stockDetail.domain.StockDetailVo;
import com.dd.admin.business.stockDetail.domain.StockDetailDto;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 727869402@qq.com
 * @since 2024-06-27
 */
public interface StockDetailService extends IService<StockDetail> {

    //-分页列表
    IPage<StockDetailVo> selectStockDetailPage(StockDetailDto stockDetailDto);

    //-列表
    List<StockDetailVo> selectStockDetailList(StockDetailDto stockDetailDto);

}
